﻿
$ErrorActionPreference = 'Stop';
$url32 = 'https://msedge.sf.dl.delivery.mp.microsoft.com/filestreamingservice/files/f780497c-99ac-435a-b6bf-31b725bfc230/MicrosoftEdgeEnterpriseX86.msi'
$url64 = 'https://msedge.sf.dl.delivery.mp.microsoft.com/filestreamingservice/files/6fd499c8-6e90-44bd-98b2-a2767463669e/MicrosoftEdgeEnterpriseX64.msi'

$packageArgs = @{
  packageName    = $env:ChocolateyPackageName
  fileType       = 'MSI'
  url            = $url32
  url64bit       = $url64

  softwareName   = 'Microsoft Edge'

  checksum       = '6764BDF5A7C8E0553A967CAEBF1F818558797345A1DAB1A873AB6E15541FDE17'
  checksumType   = 'sha256'
  checksum64     = 'FB0CB0426B9DB9F7B8A7B83F65168D5903590B3FC5E37D3D0DAF87F42D5FAC1F'
  checksumType64 = 'sha256'

  silentArgs     = "/qn /norestart /l*v `"$($env:TEMP)\$($packageName).$($env:chocolateyPackageVersion).MsiInstall.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
